Settings
Reset program accent overrides
Requires manage_settings and access to every affected program setting. Removes the color override from all currently customized program settings. Optional program_ids is an optimistic confirmation of the complete current customized-program list; it does not select a subset. A changed list returns409 before writing. Requires permission: one of manage_settings.
DELETE
/
admin
/
public-branding
/
program-color-overrides
Reset program accent overrides
curl --request DELETE \
--url https://api.gratona.com/v1/admin/public-branding/program-color-overrides \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirm": true,
"program_ids": [
42
]
}
'import requests
url = "https://api.gratona.com/v1/admin/public-branding/program-color-overrides"
payload = {
"confirm": True,
"program_ids": [42]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirm: true, program_ids: [42]})
};
fetch('https://api.gratona.com/v1/admin/public-branding/program-color-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/public-branding/program-color-overrides",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'confirm' => true,
'program_ids' => [
42
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/public-branding/program-color-overrides"
payload := strings.NewReader("{\n \"confirm\": true,\n \"program_ids\": [\n 42\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.gratona.com/v1/admin/public-branding/program-color-overrides")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"confirm\": true,\n \"program_ids\": [\n 42\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/public-branding/program-color-overrides")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"confirm\": true,\n \"program_ids\": [\n 42\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"organization": {
"name": "Example Nonprofit",
"logo": "https://cdn.example.org/logo.png"
},
"default_color_theme": {
"color": "indigo",
"color_level": 600
},
"tokens": {
"accent": "#4f46e5",
"on_accent": "#4f46e5",
"link": "#4f46e5"
},
"program_usage": {
"using_organization_default": 2,
"customized": 2,
"total": 2
},
"customized_programs": [
{
"id": 42,
"name": "Education"
}
],
"permissions": {
"can_manage_identity": true,
"can_manage_default_color": true,
"can_reset_program_overrides": true
},
"preview_url": "https://app.gratona.com/frontend/view_all/12/42"
},
"programs_updated": 2
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Validated request fields for this operation.
⌘I
Reset program accent overrides
curl --request DELETE \
--url https://api.gratona.com/v1/admin/public-branding/program-color-overrides \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"confirm": true,
"program_ids": [
42
]
}
'import requests
url = "https://api.gratona.com/v1/admin/public-branding/program-color-overrides"
payload = {
"confirm": True,
"program_ids": [42]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({confirm: true, program_ids: [42]})
};
fetch('https://api.gratona.com/v1/admin/public-branding/program-color-overrides', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/public-branding/program-color-overrides",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'confirm' => true,
'program_ids' => [
42
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/public-branding/program-color-overrides"
payload := strings.NewReader("{\n \"confirm\": true,\n \"program_ids\": [\n 42\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.gratona.com/v1/admin/public-branding/program-color-overrides")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"confirm\": true,\n \"program_ids\": [\n 42\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/public-branding/program-color-overrides")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"confirm\": true,\n \"program_ids\": [\n 42\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"organization": {
"name": "Example Nonprofit",
"logo": "https://cdn.example.org/logo.png"
},
"default_color_theme": {
"color": "indigo",
"color_level": 600
},
"tokens": {
"accent": "#4f46e5",
"on_accent": "#4f46e5",
"link": "#4f46e5"
},
"program_usage": {
"using_organization_default": 2,
"customized": 2,
"total": 2
},
"customized_programs": [
{
"id": 42,
"name": "Education"
}
],
"permissions": {
"can_manage_identity": true,
"can_manage_default_color": true,
"can_reset_program_overrides": true
},
"preview_url": "https://app.gratona.com/frontend/view_all/12/42"
},
"programs_updated": 2
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}